textures/nintendo_land/forcefeild
{
	surfaceparm nolightmap
	surfaceparm nodraw
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm slick
}

textures/nintendo_land/sky_mario
{
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm sky
	{
		map textures/nintendo_land/blue.jpg
	}
}

textures/nintendo_land/sky_clouds1
{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 100
	{
		map textures/nintendo_land/sky_clouds1.jpg
	}
}

textures/nintendo_land/sky_clouds2
{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 100
	{
		map textures/nintendo_land/sky_clouds2.jpg
	}
}

textures/nintendo_land/sky_clouds3
{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 100
	{
		map textures/nintendo_land/sky_clouds3.jpg
	}
}

textures/nintendo_land/sky_clouds4
{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 100
	{
		map textures/nintendo_land/sky_clouds4.jpg
	}
}

textures/nintendo_land/sky_clouds5
{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 100
	{
		map textures/nintendo_land/sky_clouds5.jpg
	}
}

textures/nintendo_land/sky_oot
{
	q3map_globaltexture
	surfaceparm noimpact
	q3map_lightsubdivide 256
	q3map_surfacelight 400
	surfaceparm nomarks
	surfaceparm sky
	{
		map textures/nintendo_land/sky.jpg
	}
}


textures/nintendo_land/tree
{
	surfaceparm trans
	deformVertexes autosprite
	{
		map textures/nintendo_land/tree.tga
		alphafunc filter
		depthWrite
	}
}

textures/nintendo_land/ladder
{
	surfaceparm ladder
	surfaceparm trans
	{
		map textures/nintendo_land/ladder.tga
		blendfunc blend
	}
}

textures/nintendo_land/cage
{
	surfaceparm trans
	{
		map textures/nintendo_land/cage.tga
		alphafunc GE128
		depthWrite
	}
}

//////////////////////////////////SSB HYRULE//////////////////////////////

textures/nintendo_land/tornado1
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm noimpact
	surfaceparm nonsolid
	cull none
	deformVertexes autosprite
	{
		animMap 10 textures/nintendo_land/tornado1.tga textures/nintendo_land/tornado2.tga textures/nintendo_land/tornado3.tga textures/nintendo_land/tornado4.tga textures/nintendo_land/tornado5.tga textures/nintendo_land/tornado6.tga
		alphafunc GE128
		depthWrite
	}
}
textures/nintendo_land/tornado2
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm noimpact
	surfaceparm nonsolid
	cull none
	deformVertexes autosprite
	{
		animMap 10 textures/nintendo_land/tornado6.tga textures/nintendo_land/tornado1.tga textures/nintendo_land/tornado2.tga textures/nintendo_land/tornado3.tga textures/nintendo_land/tornado4.tga textures/nintendo_land/tornado5.tga
		alphafunc GE128
		depthWrite
	}
}
textures/nintendo_land/tornado3
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm noimpact
	surfaceparm nonsolid
	cull none
	deformVertexes autosprite
	{
		animMap 10 textures/nintendo_land/tornado5.tga textures/nintendo_land/tornado6.tga textures/nintendo_land/tornado1.tga textures/nintendo_land/tornado2.tga textures/nintendo_land/tornado3.tga textures/nintendo_land/tornado4.tga
		alphafunc GE128
		depthWrite
	}
}

///////////////////////////PAPER MARIO SPECIFIC///////////////////////////

textures/nintendo_land/smallbush1
{
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm trans
	deformVertexes autosprite
	{
		map textures/nintendo_land/smallbush1.tga
		alphafunc GE128
		depthWrite
	}
}

textures/nintendo_land/smallbush2
{
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm trans
	deformVertexes autosprite
	{
		map textures/nintendo_land/smallbush2.tga
		alphafunc GE128
		depthWrite
	}
}

textures/nintendo_land/bigbush1
{
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm trans
	{
		map textures/nintendo_land/bigbush1.tga
		alphafunc GE128
		depthWrite
	}
}

textures/nintendo_land/bigbush2
{
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm trans
	{
		map textures/nintendo_land/bigbush2.tga
		alphafunc GE128
		depthWrite
	}
}

textures/nintendo_land/pmariofoliage
{
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm trans

	{
		map textures/nintendo_land/pmariofoliage.tga
		alphafunc GE128
		depthWrite
	}
}

textures/nintendo_land/pmariofence
{
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm trans
	{
		map textures/nintendo_land/pmariofence.tga
		alphafunc GE128
		depthWrite
	}
}


textures/nintendo_land/treetrunk
{
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm transf
	deformVertexes autosprite
	{
		map textures/nintendo_land/treetrunk.tga
		alphafunc GE128
		depthWrite
	}
}

textures/nintendo_land/luigi
{
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm trans
	deformVertexes autosprite
	{
		map textures/nintendo_land/luigi.tga
		alphafunc GE128
		depthWrite
	}
}

textures/nintendo_land/mariosign
{
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm trans
	{
		map textures/nintendo_land/mariosign.tga
		blendfunc blend
		depthWrite
	}
}

textures/nintendo_land/boo
{
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm nonsolid
	{
		map textures/nintendo_land/boowhite.tga
		blendfunc blend
		depthWrite
		alphaGen portal 400
	}
}

textures/nintendo_land/boof
{
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm nonsolid
	{
		map textures/nintendo_land/boof.tga
		blendfunc blend
		depthWrite
		alphaGen portal 400
		tcMod scale 1 1
	}
}

///////////////////////////////ZELDA OOT////////////////////////////////

textures/nintendo_land/magicroad
{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm cushion
	q3map_surfacelight 100
	{
		map textures/nintendo_land/bluewall.jpg
	}
}

textures/nintendo_land/vines1
{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm ladder
	surfaceparm trans
	{
		map textures/nintendo_land/vines1.tga
		blendfunc blend
	}
}

textures/nintendo_land/spiderweb
{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	{
		map textures/nintendo_land/spiderweb.tga
		blendfunc blend
		depthWrite
	}
}

textures/nintendo_land/ropebridge
{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	{
		map textures/nintendo_land/ropebridge.tga
		alphafunc GE128
		depthWrite
	}
}

textures/nintendo_land/nut
{
	q3map_surfacelight 600
	surfaceparm trans
	deformVertexes autosprite
	{
		map textures/nintendo_land/nut.tga
		alphafunc GE128
		depthWrite
	}
}

textures/nintendo_land/heart
{
	q3map_surfacelight 600
	surfaceparm trans
	deformVertexes autosprite
	{
		map textures/nintendo_land/heart.tga
		alphafunc GE128
		depthWrite
	}
}

textures/nintendo_land/bombs
{
	q3map_surfacelight 600
	surfaceparm trans
	deformVertexes autosprite
	{
		map textures/nintendo_land/bombs.tga
		alphafunc GE128
		depthWrite
	}
}

textures/nintendo_land/bag
{
	q3map_surfacelight 600
	surfaceparm trans
	deformVertexes autosprite
	{
		map textures/nintendo_land/bag.tga
		alphafunc GE128
		depthWrite
	}
}

textures/nintendo_land/bigleaf
{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	{
		map textures/nintendo_land/bigleaf.tga
		alphafunc GE128
		depthWrite
	}
}

textures/nintendo_land/fence
{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	{
		map textures/nintendo_land/fence.tga
		alphafunc GE128
		depthWrite
	}
}

textures/nintendo_land/vines2
{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	{
		map textures/nintendo_land/vines2.png
		alphafunc GE128
		depthWrite
	}
}

///////////////////////////////MAJORAS MASK////////////////////////////////

textures/nintendo_land/mmrail
{
	{
		map textures/nintendo_land/mmrail.jpg
		alphafunc GE128
		depthWrite
	}
}

textures/nintendo_land/splash
{
	deformVertexes autosprite
	{
		map textures/nintendo_land/splash.tga
		blendfunc blend
	}
}

textures/nintendo_land/propulsionplant
{
	{
		map textures/nintendo_land/propulsionplant.tga
		alphafunc GE128
		depthWrite
	}
}

textures/nintendo_land/moon
{
	q3map_surfacelight 500
	surfaceparm nolightmap
	surfaceparm slick
	{
		map textures/nintendo_land/moon.jpg
	}
}

////////////////////////////////CONTROL ROOM///////////////////////////////

textures/nintendo_land/tv
{
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	q3map_surfacelight 100
	portal
	{
		map textures/nintendo_land/green.jpg
		blendfunc blend
		depthWrite
		alphaGen portal 256
	}
}

textures/karith/cement_3
{
	map textures/karith/cement_3.jpg
	q3map_surfacelight 100
}

textures/nintendo_land/guide
{
	q3map_surfacelight 10
	{
		map textures/nintendo_land/blue.jpg
	}
}

////////////////////////////////COPIED SHADERS/////////////////////////////

//Water is a copy of "voda" from mission_one_b7
//Credit goes to the maker of that map!

textures/nintendo_land/ninwater
{
  surfaceparm water
  surfaceparm nolightmap
  deformVertexes wave 64 sin .25 .25 0 .5
  {
    map textures/nintendo_land/ninwater.tga
    blendFunc GL_DST_COLOR GL_ONE
    rgbgen identity
    tcmod scale .5 .5
    tcmod scroll .025 .01
  }
  {
    map textures/nintendo_land/ninwater.tga
    blendFunc GL_DST_COLOR GL_ONE
    tcmod scale -.5 -.5
    tcmod scroll .025 .025
  }
}

//Borrowed from Karith

//Created by Louie "KnightBK" Doulias for Black Knights Productions, Prisoners of War Q3 Mod.  
//Please check out our mod site at http://www.og-world.com/bkp/
textures/nintendo_land/plainglass
{
	surfaceparm nolightmap
	surfaceparm solid
	cull twosided
	{
		map textures/nintendo_land/plainglass.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
                }
}
